%{?nodejs_find_provides_and_requires}

%global packagename markdownlint
%global enable_tests 1

Name:		nodejs-markdownlint
Version:	0.2.0
Release:	1%{?dist}
Summary:	A Node.js style checker and lint tool for Markdown/CommonMark files

License:	MIT
URL:		https://github.com/DavidAnson/markdownlint
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(markdown-it)

%if 0%{?enable_tests}
BuildRequires:	nodeunit
BuildRequires:	npm(q)
%endif

%description
A Node.js style checker and lint tool for Markdown/CommonMark files.


%prep
%autosetup -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ style/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/nodeunit
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md demo/ doc/ example/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Initial packaging
